
From: Al Viro <viro@parcelfarce.linux.theplanet.co.uk>

Fix a macro typo which could break if the macro is passed arguments with
side-effects.

Signed-off-by: Jeff Dike <jdike@addtoit.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/um/include/sysdep-x86_64/ptrace.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/um/include/sysdep-x86_64/ptrace.h~uml-fix-a-macro-typo arch/um/include/sysdep-x86_64/ptrace.h
--- devel/arch/um/include/sysdep-x86_64/ptrace.h~uml-fix-a-macro-typo	2005-08-17 18:21:07.000000000 -0700
+++ devel-akpm/arch/um/include/sysdep-x86_64/ptrace.h	2005-08-17 18:21:07.000000000 -0700
@@ -227,7 +227,7 @@ struct syscall_args {
                         panic("Bad register in UPT_SET : %d\n", reg);  \
 			break; \
                 } \
-                val; \
+                __upt_val; \
         })
 
 #define UPT_SET_SYSCALL_RETURN(r, res) \
_
